Last Comment Bug 1302838 - re-add support for Sentry exception tracking
: re-add support for Sentry exception tracking
Status: RESOLVED FIXED
[lang=python][good first bug]
:
Product: Release Engineering
Classification: Other
Component: Balrog: Backend (show other bugs)
: unspecified
: Unspecified Unspecified
-- normal (vote)
: ---
Assigned To: Varun Joshi (:vjoshi)
: Ben Hearsum (:bhearsum)
:
Mentors:
Depends on: 1311036
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-14 13:05 PDT by Ben Hearsum (:bhearsum)
Modified: 2016-10-19 12:15 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Ben Hearsum (:bhearsum) 2016-09-14 13:05:35 PDT
I was talking with Benson today about propagating exceptions from Balrog. He mentioned that they have a Sentry instance and we can just send them there. This was working well for us before we switched to New Relic, so I don't see any reason not re-add support. It was previously ripped out in https://bugzilla.mozilla.org/page.cgi?id=splinter.html&bug=1163235&attachment=8610611, so we can probably re-use some of that code.

CloudOps will control which URL is used, so we just need to make sure we look for it in the environment, and pass it along to the plugin.
Comment 1 User image [github robot] 2016-10-18 06:26:22 PDT
Commit pushed to master at https://github.com/mozilla/balrog

https://github.com/mozilla/balrog/commit/662e8711623df5cf9efbc7c5642707d8b906ecd1
bug 1302838: Reinstated Sentry logging (#144). r=bhearsum
Comment 2 User image Ben Hearsum (:bhearsum) 2016-10-19 12:15:09 PDT
This is working in prod. For those that have access, exceptions can be viewed at https://sentry.prod.mozaws.net/.

Thanks for re-adding support for it, Varun!

Note You need to log in before you can comment on or make changes to this bug.